initVariables();
txClocalUp = "APUNTAR A LA ESFERA";
txClocalDown = "siga a la esfera con la mano";
xp = random(wsIni + rp / 2, wsIni + wVideo - rp / 2);
yp = random(hsIni + rp / 2, hsIni + hVideo - rp / 2);
////////////////////////////////////////////////////////
function funcionGo(ctx, width, height) {
  if (lInit) {
    jsreinitProcedure();
    jsinitTimer(1);
    xp = random(wsIni + rp / 2, wsIni + wVideo - rp / 2);
    yp = random(hsIni + rp / 2, hsIni + hVideo - rp / 2);
    ellipse(xp, yp, rp * 2, rp * 2);
    txClocalUp = "APUNTAR A LA ESFERA";
    txClocalDown = "siga a la esfera con la mano";
    lHandmano = true;
  }
  //displaymodulo(0);
  fill(255, 255, 255, 128);
  ellipse(xp, yp, rp * 2, rp * 2)
  fill(255, 0, 0, 128);
  ellipse(pCW1.x, pCW1.y, rp * 2, rp * 2);
  ellipse(pCW2.x, pCW2.y, rp * 2, rp * 2);
  if (dist(xp, yp, pCW1.x, pCW1.y) < rp * 2 || dist(xp, yp, pCW2.x, pCW2.y) < rp * 2) {
    fill(255, 255, 255, 128);
    ellipse(xp, yp, rp * 1.5, rp * 1.5);
    if (dist(xp, yp, pCW1.x, pCW1.y) < rp * 1.5 || dist(xp, yp, pCW2.x, pCW2.y) < rp * 1.5) {
      fill(255, 255, 255, 128);
      ellipse(xp, yp, rp * 1, rp * 1);
      if (dist(xp, yp, pCW1.x, pCW1.y) < rp * 1 || dist(xp, yp, pCW2.x, pCW2.y) < rp * 1) {
        fill(255, 255, 255, 128);
        ellipse(xp, yp, rp * 0.5, rp * 0.5);
        if (dist(xp, yp, pCW1.x, pCW1.y) < rp / 1.5 || dist(xp, yp, pCW2.x, pCW2.y) < rp / 1.5) {
          ellipse(xp, yp, rp * 0.25, rp * 0.25);
          xp = random(wsIni + rp / 2, wsIni + wVideo - rp / 2);
          yp = random(hsIni + rp / 2, hsIni + hVideo - rp / 2);
        }
      }
    }
  } else {
    fill(255, 0, 0, 128);
  }
  pCW1.x = -width;
  pCW1.y = -width;
  pCW2.x = -width;
  pCW2.x = -width;
}